charity/urls.py
from django.conf.urls import url
from .import views

app_name = 'charity'

urlpatterns =[
    url(r'^add_charity/$' , views.charityadd , name="addCharity"),
    url(r'^addProject/$',views.addProject,name="addProject"),
    url(r'^golrizoonha/$', views.golrizoon_list , name="golrizooon"),
    url(r'^little_dream/$' , views.little_dream , name="little_dream"),
    url (r'^Profile_charity/$' , views.accepted , name="profile_charity"),
]

index/urls.py
from django.conf.urls import url
from .import views

app_name = 'index'

urlpatterns =[
    url(r'^/$' , views.show_index , name="show_index"),
]

ufl_project/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url , include
from .import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^accounts/', include('accounts.urls')),
    url(r'^charity/', include('charity.urls')),
    url(r'^index/', include('index.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

charity/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.
class Modir(models.Model):
    firstname = models.CharField(max_length=20)
    lastname = models.CharField(max_length=30)
    codemeli = models.CharField(max_length=12)
    password = models.CharField(max_length=20)
    email = models.EmailField()
    phone = models.CharField(max_length=12)

    def __str__ (self):
        return self.firstname


class Charity(models.Model):
    name = models.CharField(max_length=20)
    address = models.CharField(max_length=60)
    sabt_number = models.CharField(max_length=30)
    description = models.TextField()
    web = models.URLField()
    photo = models.ImageField(blank=True)
    photo_sanad = models.ImageField(default='default.png')
    modir = models.OneToOneField(User , on_delete=models.CASCADE )
    accept = models.BooleanField(default=False)

    def __str__(self):
        return self.name

class Dastebanamdy_ch(models.Model):
    name = models.CharField(max_length=20)

    def __str__(self):
        return self.name

class Dastebanamdy_LD(models.Model):
    name = models.CharField(max_length=20)

    def __str__(self):
        return self.name


class TypeCampain(models.Model):
    name=models.CharField(max_length=30)

    def __str__(self):
        return self.name



class ProjectType(models.Model):
    title = models.CharField(max_length=20)
    description = models.TextField()
    #projectType = models.ForeignKey(ProjectType, on_delete = models.CASCADE)

    def __str__(self):
        return self.title



class Project(models.Model):
    title = models.CharField(max_length=50)
    cost = models.FloatField()
    description = models.TextField()
    modir= models.ForeignKey(User, on_delete=models.CASCADE)
    projectType = models.ForeignKey(ProjectType, on_delete = models.CASCADE , default=1 )
    cration_date = models.DateField(auto_now_add=True)
    dastebandy_G=models.ForeignKey(Dastebanamdy_ch , null = True , on_delete=models.CASCADE , default="")
    dastebanamdy_LD = models.ForeignKey(Dastebanamdy_LD , null = True , on_delete=models.CASCADE , default="")
    campain_typ = models.ForeignKey(TypeCampain , null = True , on_delete=models.CASCADE , default="")
    charity = models.ForeignKey(Charity , on_delete=models.CASCADE , default="" )
    user= models.ManyToManyField(User,related_name='userPaid', through='participateProject')

    def __str__(self):
        return self.title


class participateProject(models.Model):
    user = models.ForeignKey(User, on_delete = models.CASCADE)
    project = models.ForeignKey(Project, on_delete = models.CASCADE)
    paid = models.FloatField()
    seSote = models.BooleanField(default=False)
    paidDate = models.DateField(auto_now_add=True)

    def __str__(self):
        return self.project.name

charity/forms.py
from django import forms
from . import models

class Creatcharity(forms.ModelForm):
    class Meta:
        model=models.Charity
        fields=['name','address','sabt_number','description','web']


class addProject(forms.ModelForm):
    class Meta:
        model=models.Project
        fields=['title','cost' , 'description']
    

charity/views.py
from django.shortcuts import render , redirect
from .models import Modir , Charity , Project , ProjectType
from . import forms
from django.contrib.auth.models import User
from django.contrib.auth.decorators import login_required
from django.shortcuts import render, get_object_or_404
from django.db.models import Sum , Min , Max
from django.db.models.aggregates import StdDev
from django.contrib import messages
from django.db.models import Q
from django.db.models import Count
from django.http import HttpResponseRedirect
from django.contrib.auth.decorators import login_required
from django.core.paginator import Paginator , EmptyPage , PageNotAnInteger , InvalidPage
from django.views.generic import ListView
from django.db.models import Prefetch
from django.http import HttpResponse , HttpResponseNotFound
from django.shortcuts import render
from django.template import RequestContext


# pylint: disable=E1101

@login_required(login_url="/accounts/signup_login/")
def charity_profile(request):
    if request.session.has_key('username'):
        posts = request.session['username']
        query = User.objects.filter(username=posts) 
        query2 = User.objects.filter(username=posts).get()
        modirId=query2.id
        charitymodir= Charity.objects.filter(modir=modirId)
        return render(request , 'charity/profile_charity.html' , {"charitymodir":charitymodir  ,"query":query })

@login_required(login_url="/accounts/signup_login/")
def charityadd(request):
    if request.method=='POST':
       form= forms.Creatcharity(request.POST)
       if form.is_valid():
        instance=form.save(commit=False)
        instance.modir=request.user
        instance.save()
        return redirect('charity:addCharity')
    else:
        form = forms.Creatcharity()
    return render(request, 'charity/add_charity.html' , {'form':form})


@login_required(login_url="/accounts/loginpage/")
def addProject(request ):
    if request.method=='POST':
       form= forms.addProject(request.POST)
       if form.is_valid():
        instance=form.save(commit=False)
        instance.modir=request.user
        modir=instance.modir
        modirId = modir.id
        charitymodir = Charity.objects.filter(modir=modirId).get()
        instance.charity=charitymodir
        instance.save()
        return redirect('charity:addProject')
    else:
        form = forms.addProject()
    return render(request, 'charity/addProject.html' , {'form':form})

def golrizoonshow(request):
    return render(request , 'charity/golrizzonha.html')

def golrizoon_list(request):
    golrizoons_list = Project.objects.filter(projectType=1)
    paginator = Paginator(golrizoons_list , 4)

    try :
        page = int(request.GET.get('page' , '1'))
    except :
        page = 1
    try :
        posts = paginator.page(page)
    except (EmptyPage , InvalidPage):
        posts = paginator.page(paginator.num_pages)

    return render (request , 'charity/golrizzonha.html' ,{'posts':posts} )


def little_dream(request):
    golrizoons_list = Project.objects.filter(projectType=2)
    paginator = Paginator(golrizoons_list , 4)

    try :
        page = int(request.GET.get('page' , '1'))
    except :
        page = 1
    try :
        posts = paginator.page(page)
    except (EmptyPage , InvalidPage):
        posts = paginator.page(paginator.num_pages)

    return render (request , 'charity/little_dream.html' ,{'posts':posts} )


def accepted(request):
    return render(request , 'charity/profile_charity.html')

def show_5lastgolrizoon(request):
    posts = Project.objects.filter(projectType=1)[0:3]
    return render(request , 'index/index.html' , {'posts':posts})

charity/templates/charity/addProject.html
{% extends 'base_withot_footer.html' %}

{% block content %}


<div class="right_profile_modirina">

</div>
<div class="background_add_p">  
<div class="lefteleman">
<div class="add_project"> 
 <div class="form_div_addproject">
    <div class="titr_login_signup">
      <p>اضافه کردن پروژه</p>
    </div>
 <form action="{%url 'charity:addProject'%}" method="POST">
    {% csrf_token %}
    

    <label  class="laballoginsignup" for="id_title">تیتر</label> <input class="form-control" type="text" name="title" maxlength="50" required="" id="id_title">
    <label  class="laballoginsignup" for="id_cost">هزینه</label> <input class="form-control" type="number" name="cost" step="10000" min="1000" required="" id="id_cost">
    <label  class="laballoginsignup" for="id_description">توضیحات</label> <textarea class="form-control" name="description" cols="40" rows="6" required="" id="id_description"></textarea>
    <br><label  class="laballoginsignup" for="id_projectType">نوع پروژه</label> 

    <div class="selectedbox">
      <div class="projectType">
      <select name="projectType" id="id_projectType">

        <option value="" class="rhth" selected="">نوع پروژه را انتخاب کنید</option>
      
        <option value="1" id="selectionone" class="golrizon ">گلریزون‌ها</option>
      
        <option value="2" id="selectiontwo" class="arezo ">آرزوهای کوچک</option>
      
        <option value="3" id="selectionthree" class="campagin ">کمپین‌ها</option>
      
      </select>
      </div>  
          <br><label class="laballoginsignup" for="id_projectType ">دسته بندی</label> 
         
      <div class="detailType">
        <select name="dastebanamdy_LD" id="id_dastebanamdy_LD" >
     
        <option value="" class="rhth23" selected="">انتخاب دسته بندی</option>
        
        <option value="1" class="selectors golrizon ">بیکاری </option>
        <option value="2" class="selectors golrizon ">سیل زدگان</option>
        <option value="3" class="selectors golrizon ">زلزله زده</option>
        <option value="4" class="selectors golrizon ">تحصیلی</option>
        <option value="5" class="selectors golrizon ">جهیزیه</option>
        <option value="6" class="selectors golrizon ">مسکن</option>
        <option value="7" class="selectors golrizon ">بیماری</option>
        
        <option value="8" class="selectors arezo">لوازم التحریر</option>
        <option value="9" class="selectors arezo">اسباب بازی</option>
        <option value="10" class="selectors arezo">لوازم ورزشی</option>
        <option value="11" class="selectors arezo">کتاب</option>
      
        <option value="12" class="selectors campagin">مالی</option>
        <option value="13" class="selectors campagin">جهادی</option>
        <option value="14" class="selectors campagin">فرهنگی</option>
      
      </select>
      </div>
      </div>

    <br><br><br><input  style="float: right ;" class="btn22 success33" type="submit" ,="" value="ثبت پروژه">
   </form>
   <input style="float: left ;" id="enseraf" class="btn22 success22" type="input" ,="" value="انصزاف"><br><br><br>
</div>
</div>


<script>
   $(document).ready(function () {    
       var allOptions = $('#id_dastebanamdy_LD option')
       $('#id_projectType').change(function () {
           $('#id_dastebanamdy_LD option').remove()
           var classN = $('#id_projectType option:selected').prop('class');
           var opts = allOptions.filter('.' + classN);
           $.each(opts, function (i, j) {
               $(j).appendTo('#id_dastebanamdy_LD');
           });
       });
   });
   </script>
</div>
</div>
{% endblock %}

charity/templates/charity/add_charity.html
{% extends 'base_withot_footer.html' %}


{% block content %}
<div class="right_profile_modirina">

</div>


<div class="background_add_p">       
<div class="add_project"> 

  <div class="form_div_addproject">
    <div class="titr_login_signup">
      <p>اضافه کردن خیریه</p>
    </div>
        <form name="addform" class="site-form"  style="height:580px; " action="{% url 'charity:addCharity' %}" method="POST" enctype="multipart/form-data">
              {% csrf_token %}

              <form name="addform" class="site-form" style="height: 500px; background-color: rgb(253, 238, 227);" action="http://127.0.0.1:8000/charity/add_charity/" method="POST" enctype="multipart/form-data">
  
                <label for="id_name">نام</label><input class="form-control" type="text" name="name" maxlength="20" required="" id="id_name">
                <label for="id_address">آدرس</label><input class="form-control" type="text" name="address" maxlength="60" required="" id="id_address">
                <label for="id_sabt_number">شماره ثبت</label><input class="form-control" type="text" name="sabt_number" maxlength="30" required="" id="id_sabt_number">
                <label for="id_description">توضیحات</label><textarea class="form-control" name="description" cols="40" rows="6" required="" id="id_description"></textarea>
                <label for="id_web">وبسایت</label><input class="form-control" type="text" name="web" maxlength="200" required="" id="id_web">
                <label for="id_photo_sanad">تصویر سند</label><input class="form-control" type="file" name="photo_sanad" accept="image/*" id="id_photo_sanad">
                <br><br>         
          <input  style="float: right ;" class="btn22 success33" type="submit" ,="" value="ثبت خیریه">
              </form>
              <input style="float: left ;" id="sabtnam" class="btn22 success22" type="input" ,="" value="انصراف">
                  <br><br><br><br><br>
            </div>
            
          </div>
         
  </div> 
{% endblock %}

charity/templates/charity/golrizzonha.html
{% extends 'base.html' %}


{% block content %}

<div class="goli">
    
<div class="kadrcard_goli">
    <div class="titr_for_gol_campain_dream">
        <p>گلریزون‌ها</p>
    </div ><br><br>
    {% if posts %}
        {% for post in posts.object_list %}
        <div class="totalcard">
            <div class="cardgolrizzon">
                <div class="cardgolrizzon-image">
                </div>
    
                <div class="cardgolrizzon-titre">
                <p>{{ post.title }}</p>
                </div>
    
                <div class="cardgolrizzon-sub">
                <p>{{ post.description | truncatechars:50 }}</p>
                </div>
    
                <div class="cardgolrizzon-price">
              {{ post.cost }} : مبلغ باقیمانده
                </div>
    
                <div class="cardgolrizzon-pricebaghi">
                : مبلغ کل
                </div>
            </div>
            
            <!جای دکمه شرک  میکنم>
             <button type="submit" class="btn btn-sherkatmikonam  float-sm-none">مشارکت می‌کنم</button> 
            <!جای دکمه شرک  میکنم>
            </div> 
            <!پایان کارت ها>   
        {% endfor %}
    {% endif %}
        
        <div class="righ_search_filter">
            <div class="righ_search_filter_in">
            <label class="labe_search" for="sel1">: فیلتر بر اساس</label>
            <br><br><select class="form-control" id="sel1" >
              <option>بیماری</option>
              <option>جهیزیه</option>
              <option>مسکن</option>
              <option>تحصیل</option>
            </select>

            <br><select class="form-control" id="sel1" >
                <option>خیریه1</option>
                <option>جهیزیه</option>
                <option>مسکن</option>
                <option>تحصیل</option>
              </select>


            </div>
        </div>      

</div>  
<br><br>  <br><br>
<div class="pagination" id="menu">
    <ul >
    {% if posts.has_previous %}
        <li><a href="?page={{posts.previous_page_number}}">قبلی</a></li>
    {% endif %}

    {% for pg in posts.paginator.page_range %}
        {% if posts.number == pg %}
            <li class="active"><a href="?page={{pg}}"><p>{{ pg }}</p></a></li>
        {% else %}
        <li ><a href="?page={{pg}}">{{ pg }}</a></li>
        {% endif %}
    {% endfor %}

    {% if posts.has_next %}
        <li><a href="?page={{posts.next_page_number}}">بعدی</a></li>
    {% endif %}

</ul>
</div>

</div>

<br><br><br>
{% endblock %}

charity/templates/charity/little_dream.html
{% extends 'base.html' %}


{% block content %}
<div class="background_LD">


<div class="goli">
<div class="kadrcard_goli">
    <div class="titr_for_gol_campain_dream">
        <p>آرزوهای کوچک</p>
    </div ><br><br>
    {% if posts %}
        {% for post in posts.object_list %}
        <div class="totalcard">
            <div class="cardgolrizzon">
                <div class="cardgolrizzon-image">
                </div>
    
                <div class="cardgolrizzon-titre">
                <p>{{ post.title }}</p>
                </div>
    
                <div class="cardgolrizzon-sub">
                <p>{{ post.description | truncatechars:50 }}</p>
                </div>
    
                <div class="cardgolrizzon-price">
              {{ post.cost }} : مبلغ باقیمانده
                </div>
    
                <div class="cardgolrizzon-pricebaghi">
                : مبلغ کل
                </div>
            </div>
            
            <!جای دکمه شرک  میکنم>
             <button type="submit" class="btn btn-sherkatmikonam  float-sm-none">مشارکت می‌کنم</button> 
            <!جای دکمه شرک  میکنم>
            </div> 
            <!پایان کارت ها>   
        {% endfor %}
    {% endif %}
        
        <div class="righ_search_filter">
            <div class="righ_search_filter_in">
            <label class="labe_search" for="sel1">: فیلتر بر اساس</label>
            <br><br><select class="form-control" id="sel1" >
              <option>ورزشی</option>
              <option>لوازم تحریر</option>
              <option>عروسک</option>
              <option>اسباب بازی</option>
            </select>

            <br><select class="form-control" id="sel1" >
                <option>خیریه1</option>
                <option>جهیزیه</option>
                <option>مسکن</option>
                <option>تحصیل</option>
              </select>


            </div>
        </div>      

</div>  
<br><br>  <br><br> 
<div class="pagination" id="menu">
    <ul >
    {% if posts.has_previous %}
        <li><a href="?page={{posts.previous_page_number}}">قبلی</a></li>
    {% endif %}

    {% for pg in posts.paginator.page_range %}
        {% if posts.number == pg %}
            <li class="active"><a href="?page={{pg}}"><p>{{ pg }}</p></a></li>
        {% else %}
        <li ><a href="?page={{pg}}">{{ pg }}</a></li>
        {% endif %}
    {% endfor %}

    {% if posts.has_next %}
        <li><a href="?page={{posts.next_page_number}}">بعدی</a></li>
    {% endif %}

</ul>
</div>

</div>
</div>
<br><br><br>
{% endblock %}

charity/templates/charity/profile_charity.html
{% load static%}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="{% static 'myjs.js' %}"></script>
        <!حذف کردن دایوهای موجود و نمایش فرم ویرایش>
        <script> 
            $(document).ready(function(){
                $(".edite_profile").hide();
                $(".virayesh1").click(function(){
                    $(".box_form_profile_kheiriye").hide();
                    $(".left_sotoon").hide();
                    $(".edite_profile").show(1000);
                });
            });

            $(document).ready(function(){
                $(".virayesh0").click(function(){
                    $(".box_form_profile_kheiriye").show(1000);
                    $(".left_sotoon").show(1000);
                    $(".edite_profile").hide();
                });
            });


        </script>
<style>
input {
  width: 60%;
  padding: 8px;
  font-size: 15px;
  border: 1px solid #ffffff;
  border-radius: 15px;
  text-align: right;
  background-color: rgb(255, 255, 255);
  outline: none;
  color: rgb(138, 138, 138);
  float: right ;
  box-shadow: 0 1px 3px 3px rgba(0, 0, 0, 0.05);
  
  padding-top: 2px;
}
</style>
    </head>

        <body>
            <div class="backgroundprofile">

                <div class="rightprofile_charity">
                    <div class="profilecirclepic">
                    </div>

                        <div class="list_meno_profile_kheirire" >
                            <a class="virayesh0" id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>پروفایل</p></a>
                            <a class="virayesh1" id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>ویرایش پروفایل</p></a>
                            <a id = "GFG" href = "{% url 'charity:addProject' %}" style=" color: rgb(13, 68, 139);"><p>اضافه کردن گلریزون</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>اضافه کردن آرزوی کوچک</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(13, 68, 139);"><p>اضافه کردن کمپین</p></a>
                            <a id = "GFG" href = "#" style=" color: rgb(1, 55, 136);"><p>حذف خیریه</p></a>

                        </div>
                </div>

                

                    <div class="titr_profilr_kheiriye">
                        <p>نام خیریه</p>
                            <hr>
                        <div class="titr_profilr_kheiriye_modir">
                            <p>نام مدیر</p>
                        </div>
                        {% if charitymodir %}
                            <p>سلام این خیریه شماست</p>
                        {% endif %}

                        {% for k in query %}
                           <p>{{ k.id }}</p>
                        {% endfor %}

                        <div class="box_form_profile_kheiriye" id="map">
                            <div class="box_form_profile_kheiriye_right">
                                <p  class="lable_ofprofilr_kh">نام موسسه خیریه</p>
                                <p class="lable_ofprofilr_kh">سال تاسیس</p>
                                <p class="lable_ofprofilr_kh">وب سایت</p>
                                <p class="lable_ofprofilr_kh">تلفن مرکزی</p>
                                <p class="lable_ofprofilr_kh">آدرس مرکز</p>
                                <p class="lable_ofprofilr_kh">نام کارشناس</p>
                                <p class="lable_ofprofilr_kh">توضیحات</p>
                            </div>

                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="input_profile_kheiriye"></div>
                            <div class="tozihat_profilr_kheiriye"></div>
                        </div>
                        
                        
                    </div>
                    
                    <!فرم ویرایش اطلاعات کاربر>
                    <div class="edite_profile">
                        <div class="right_edite_profile">
                            <p class="lable_virayesh_profile_kheiriye">نام خیریه</p>
                            <p class="lable_virayesh_profile_kheiriye">سال تاسیس</p>
                            <p class="lable_virayesh_profile_kheiriye">وب سایت</p>
                            <p class="lable_virayesh_profile_kheiriye">تلفن مرکزی</p>
                            <p class="lable_virayesh_profile_kheiriye">آدرس مرکز</p>
                            <p class="lable_virayesh_profile_kheiriye">نام کارشناس</p>
                            <p class="lable_virayesh_profile_kheiriye">توضیحات</p>
                        </div>
                        <input placeholder="نام خیریه"  name="web"><br>
                        <br><input  placeholder="سال تاسیس"  name="web"><br>
                        <br><input placeholder="وب سایت"  name="web"><br>
                        <br><input placeholder="تلفن مرکزی"  name="web"><br>
                        <br><input placeholder="آدرس مرکز"  name="web"><br>
                        <br><input placeholder="نام کارشناس" name="web"><br>
                        <br><input placeholder="توضیحات"  name="web"><br>

                        <button type="submit" class="btn btn-sherkatmikonam  float-sm-none" style="width: 20%; float: left; margin-left: 50%;">ثبت</button> 
                        <button type="submit" class="btn btn-sherkatmikonam float-sm-none " style="width: 20%; float: left; margin-left: 50%; background-color: rgb(224, 73, 73);">انصراف</button> 

                    </div>
                    <!فرم ویرایش اطلاعات کاربر>

                    <div class="left_sotoon">
                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>تعداد خیرین</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>215</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <p>مقدار کمک</p>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>2015</p>
                                </div>
                            </div>
                        </div>

                        <div class="left_amar_profile_kheiriye">
                            <div class="titr_left_amar_profile">
                                <a id = "GFG" href = "#" style="color: rgb(136, 152, 180);"><p>تکمیل شده‌ها</p></a>
                                <hr>
                            </div>
                            <div class="box_left_amar">
                                <div class="matn_box_left_amar">
                                    <p>3265</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    
            </div>
       
        </body>
    
</html>